commit:     231d32e22c0ba5185f3ac039ba0b04a8d6c3cbfb
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 17 12:58:07 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Mar 17 13:33:43 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=231d32e2

dev-python/Nuitka: Bump to 1.5.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/Nuitka/Manifest            |  1 +
 dev-python/Nuitka/Nuitka-1.5.3.ebuild | 54 +++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-python/Nuitka/Manifest b/dev-python/Nuitka/Manifest
index ff5d25382be5..6c94dafd6915 100644
--- a/dev-python/Nuitka/Manifest
+++ b/dev-python/Nuitka/Manifest
@@ -1 +1,2 @@
 DIST Nuitka-1.5.1.tar.gz 4167830 BLAKE2B 
751784fac712149ccd180d391333d8431c6492f58a33296fc5f41c00d4908d65760216afefb626ac00b30a29c93acb767abe83a907756cbaa807706c0d9d2ef7
 SHA512 
ff02439556c193b2e40c6a7edfc42c9178fed4f04c4f1fe01a223f8b2243bc5f66784af5666887c9f07aafcc9428ae785a7174c4c88c73d7b62e56cf2aafde5e
+DIST Nuitka-1.5.3.tar.gz 4168230 BLAKE2B 
668ba91a166504a6ed3b7b1b63cd836b7e344fc2fbcc35d4270bc797f18d5e391922a940326a24ae832b892914bf8d7b6c34a7b6f65a640600cb08a82ae40bcc
 SHA512 
b2c478a950846e1492af07c64de835ad2fc56dc6a69ddb95402afcace2634ec5986422bc6af92cac1d833df278286f0b58918227b076fc17c32fc5d342efd7a7

diff --git a/dev-python/Nuitka/Nuitka-1.5.3.ebuild 
b/dev-python/Nuitka/Nuitka-1.5.3.ebuild
new file mode 100644
index 000000000000..f1bec277226a
--- /dev/null
+++ b/dev-python/Nuitka/Nuitka-1.5.3.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 flag-o-matic optfeature pypi
+
+DESCRIPTION="Python to native compiler"
+HOMEPAGE="
+       https://www.nuitka.net/
+       https://github.com/Nuitka/Nuitka/
+       https://pypi.org/project/Nuitka/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~loong ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-util/scons[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       ${RDEPEND}
+       test? ( dev-util/ccache )
+"
+
+DOCS=( Changelog.pdf Developer_Manual.pdf README.pdf )
+
+distutils-r1_src_prepare() {
+       # remove vendored version of SCons that is Python2 only
+       # this should be removed when upstream removes support for Python2
+       rm -vR "nuitka/build/inline_copy/lib/scons-2.3.2/SCons" || die
+       eapply_user
+}
+
+python_install() {
+       distutils-r1_python_install
+       doman doc/nuitka3.1 doc/nuitka3-run.1
+}
+
+python_test() {
+       append-ldflags -Wl,--no-warn-search-mismatch
+       ./tests/basics/run_all.py search || die
+}
+
+pkg_postinst() {
+       optfeature "support for stand-alone executables" app-admin/chrpath
+}

Reply via email to